<button id="nueva-carga-btn" type="button" class="btn btn-primary"><i class="fa fa-file-excel-o" style=""></i> Cargar CSV</button>
<div class="hidden">
    <form id="csv-form" action="<?php echo base_url();?>productos/cargar_csv_salida_dlc" method="post" enctype="multipart/form-data">
        <input type="file" name="csvfile" id="csvfile" value=""/>
    </form>
</div>
<hr>
<div id="wrapper-res">

</div>

<script>
    $(document).ready(function(){
        $("#nueva-carga-btn").click(function(e){
            $("#csvfile").trigger("click");
        });
        /** */
        $("#csvfile").change(function(){
            let fn = $(this).val();
            let filename = fn.match(/[^\\/]*$/)[0];
            if(filename.split(".")[1]==="csv"){
                let $frm = $("#csv-form");
                let formData = new FormData($frm[0]);

                $.ajax({
                    url: $frm.attr("action"),
                    type: 'POST',
                    data: formData,
                    async: false,
                    success: function (response) {
                        toastr.options = {
                            "closeButton": true,
                            "progressBar": true,
                            "positionClass": "toast-top-right"
                        }
                        toastr.success('Archivo leido exitosamente');
                        $("#wrapper-res").html(response);
                    },
                    cache: false,
                    contentType: false,
                    processData: false
                });
            }else{
                alert("Formato de archivo incorrecto");
            }
        })
    });

</script>